/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>

#define	FALSE					(0)											//	Define logical false and true values
#define	TRUE					(!FALSE)									//	
#define	forever					TRUE										//	I like that for infinite loops


#define	Wait(x)																//	To increase readability
#define	ActiveHigh				TRUE
#define LEDOFF					!LEDON	
#define LEDON					!ActiveHigh									//	LEDs are active low in this application

uint8 flag_0 = LEDOFF;														// LED states
uint8 flag_1 = LEDOFF;
uint8 flag_2 = LEDOFF;

void InitializeSystem(void)
{
	/* Place your initialization/startup code here (e.g. MyInst_Start()) */
	CyGlobalIntEnable;      /* Enable global interrupts */

	CapSense_Start();
	CapSense_InitializeAllBaselines();
	LED_0_Write(flag_0);							//	Initialize all LEDs to initial state
	LED_1_Write(flag_1);
	LED_2_Write(flag_2);
}

int main()
{
	InitializeSystem();
    while(forever)
    {
        CapSense_UpdateEnabledBaselines();
        CapSense_ScanEnabledWidgets();
        while(CapSense_IsBusy() != 0)
        {
            Wait();
        }
        if(CapSense_CheckIsSensorActive(CapSense_SENSOR_BUTTON0__BTN))
        {
            flag_0 = !flag_0;				//	Toggle (change polarity) of LED state
            LED_0_Write(flag_0);
        	while(CapSense_CheckIsSensorActive(CapSense_SENSOR_BUTTON0__BTN)) Wait();	//	Wait for button released
        }
        if(CapSense_CheckIsSensorActive(CapSense_SENSOR_BUTTON1__BTN))
        {
            flag_1 = !flag_1;				//	Toggle (change polarity) of LED state
            LED_1_Write(flag_1);
        	while(CapSense_CheckIsSensorActive(CapSense_SENSOR_BUTTON1__BTN)) Wait();	//	Wait for button released
        }
        if(CapSense_CheckIsSensorActive(CapSense_SENSOR_BUTTON2__BTN))
        {
            flag_2 = !flag_2;				//	Toggle (change polarity) of LED state
            LED_2_Write(flag_2);
        	while(CapSense_CheckIsSensorActive(CapSense_SENSOR_BUTTON2__BTN)) Wait();	//	Wait for button released
        }        
    }
}

